--SPELL_ACTIVATION_OVERLAY_GLOW_SHOW
function(_,ID)
    if ID == 31935 then
        CustomTrash.hammersnshields.shields = CustomTrash.hammersnshields.shields + 1
    end
end

--COMBAT_LOG_EVENT_UNFILTERED
function(...)
    local subevent = select(3, ...)
    if subevent == "SPELL_CAST_SUCCESS" then
        local caster = select(6, ...)
        local spell = select(14, ...)
        if caster == UnitName("player") and (spell == "Hammer of the Righteous" or spell == "Blessed Hammer") then
            CustomTrash.hammersnshields.hammers = CustomTrash.hammersnshields.hammers + 1
        end
    end
end

--DISPLAY
function()
    return CustomTrash.hammersnshields.shields .. " / " .. CustomTrash.hammersnshields.hammers .. " " .. CustomTrash.hammersnshields.shields / CustomTrash.hammersnshields.hammers
end